## cong-attribute-editor

cong-attribute-editor —

## Synopsis

    #define     CONG_ATTRIBUTE_EDITOR           (obj)
    #define     CONG_ATTRIBUTE_EDITOR_CLASS     (klass)
    #define     IS_CONG_ATTRIBUTE_EDITOR        (obj)
    GType       cong_attribute_editor_get_type  (void);
    CongAttributeEditor* cong_attribute_editor_construct
                                                (CongAttributeEditor *attribute_editor,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name,
                                                 xmlAttributePtr attr);
    CongDocument* cong_attribute_editor_get_document
                                                (CongAttributeEditor *attribute_editor);
    CongNodePtr cong_attribute_editor_get_node  (CongAttributeEditor *attribute_editor);
    xmlAttributePtr cong_attribute_editor_get_attribute
                                                (CongAttributeEditor *attribute_editor);
    const gchar* cong_attribute_editor_get_attribute_name
                                                (CongAttributeEditor *attribute_editor);
    gchar*      cong_attribute_editor_get_attribute_value
                                                (CongAttributeEditor *attribute_editor);
    GtkWidget*  cong_attribute_editor_new       (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlAttributePtr attr);
    GtkWidget*  cong_attribute_editor_id_new    (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);
    GtkWidget*  cong_attribute_editor_idref_new (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);
    GtkWidget*  cong_attribute_editor_idrefs_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);
    GtkWidget*  cong_attribute_editor_entity_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);
    GtkWidget*  cong_attribute_editor_entities_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);
    GtkWidget*  cong_attribute_editor_nmtoken_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);
    GtkWidget*  cong_attribute_editor_nmtokens_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);
    GtkWidget*  cong_attribute_editor_enumeration_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name,
                                                 xmlAttributePtr attr);
    GtkWidget*  cong_attribute_editor_notation_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);
    GtkWidget*  create_cdata_editor             (GladeXML *xml,
                                                 gchar *func_name,
                                                 gchar *name,
                                                 gchar *string1,
                                                 gchar *string2,
                                                 gint int1,
                                                 gint int2,
                                                 gpointer user_data);
    extern      CongDocument *global_glade_doc_ptr;
    extern      CongNodePtr global_glade_node_ptr;
    void        cong_bind_radio_button          (GtkRadioButton *radio_button,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name,
                                                 const gchar *attribute_value);
    void        cong_bind_check_button          (GtkCheckButton *check_button,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name,
                                                 const gchar *attribute_value_unchecked,
                                                 const gchar *attribute_value_checked);

## Description

## Details

### CONG_ATTRIBUTE_EDITOR()

    #define CONG_ATTRIBUTE_EDITOR(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_ATTRIBUTE_EDITOR_TYPE, CongAttributeEditor)

`obj` : |

### CONG_ATTRIBUTE_EDITOR_CLASS()

    #define CONG_ATTRIBUTE_EDITOR_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_ATTRIBUTE_EDITOR_TYPE, CongAttributeEditorClass)

`klass` : |

### IS_CONG_ATTRIBUTE_EDITOR()

    #define IS_CONG_ATTRIBUTE_EDITOR(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_ATTRIBUTE_EDITOR_TYPE)

`obj` : |

### cong_attribute_editor_get_type ()

    GType       cong_attribute_editor_get_type  (void);

Returns : |

### cong_attribute_editor_construct ()

    CongAttributeEditor* cong_attribute_editor_construct
                                                (CongAttributeEditor *attribute_editor,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name,
                                                 xmlAttributePtr attr);

TODO: Write me

`attribute_editor` : |
`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
`attr` : |
Returns : |

### cong_attribute_editor_get_document ()

    CongDocument* cong_attribute_editor_get_document
                                                (CongAttributeEditor *attribute_editor);

TODO: Write me

`attribute_editor` : |
Returns : |

### cong_attribute_editor_get_node ()

    CongNodePtr cong_attribute_editor_get_node  (CongAttributeEditor *attribute_editor);

TODO: Write me

`attribute_editor` : |
Returns : |

### cong_attribute_editor_get_attribute ()

    xmlAttributePtr cong_attribute_editor_get_attribute
                                                (CongAttributeEditor *attribute_editor);

TODO: Write me

`attribute_editor` : |
Returns : |

### cong_attribute_editor_get_attribute_name ()

    const gchar* cong_attribute_editor_get_attribute_name
                                                (CongAttributeEditor *attribute_editor);

TODO: Write me

`attribute_editor` : |
Returns : |

### cong_attribute_editor_get_attribute_value ()

    gchar*      cong_attribute_editor_get_attribute_value
                                                (CongAttributeEditor *attribute_editor);

TODO: Write me

`attribute_editor` : |
Returns : |

### cong_attribute_editor_new ()

    GtkWidget*  cong_attribute_editor_new       (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlAttributePtr attr);

TODO: Write me

`doc` : |
`node` : |
`attr` : |
Returns : |

### cong_attribute_editor_id_new ()

    GtkWidget*  cong_attribute_editor_id_new    (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);

`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
Returns : |

### cong_attribute_editor_idref_new ()

    GtkWidget*  cong_attribute_editor_idref_new (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);

`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
Returns : |

### cong_attribute_editor_idrefs_new ()

    GtkWidget*  cong_attribute_editor_idrefs_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);

`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
Returns : |

### cong_attribute_editor_entity_new ()

    GtkWidget*  cong_attribute_editor_entity_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);

`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
Returns : |

### cong_attribute_editor_entities_new ()

    GtkWidget*  cong_attribute_editor_entities_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);

`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
Returns : |

### cong_attribute_editor_nmtoken_new ()

    GtkWidget*  cong_attribute_editor_nmtoken_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);

`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
Returns : |

### cong_attribute_editor_nmtokens_new ()

    GtkWidget*  cong_attribute_editor_nmtokens_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);

`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
Returns : |

### cong_attribute_editor_enumeration_new ()

    GtkWidget*  cong_attribute_editor_enumeration_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name,
                                                 xmlAttributePtr attr);

TODO: Write me

`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
`attr` : |
Returns : |

### cong_attribute_editor_notation_new ()

    GtkWidget*  cong_attribute_editor_notation_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name);

`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
Returns : |

### create_cdata_editor ()

    GtkWidget*  create_cdata_editor             (GladeXML *xml,
                                                 gchar *func_name,
                                                 gchar *name,
                                                 gchar *string1,
                                                 gchar *string2,
                                                 gint int1,
                                                 gint int2,
                                                 gpointer user_data);

TODO: Write me

`xml` : |
`func_name` : |
`name` : |
`string1` : |
`string2` : |
`int1` : |
`int2` : |
`user_data` : |
Returns : |

### global_glade_doc_ptr

    extern CongDocument *global_glade_doc_ptr;

### global_glade_node_ptr

    extern CongNodePtr global_glade_node_ptr;

### cong_bind_radio_button ()

    void        cong_bind_radio_button          (GtkRadioButton *radio_button,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name,
                                                 const gchar *attribute_value);

TODO: Write me

`radio_button` : |
`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
`attribute_value` : |

### cong_bind_check_button ()

    void        cong_bind_check_button          (GtkCheckButton *check_button,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *attribute_name,
                                                 const gchar *attribute_value_unchecked,
                                                 const gchar *attribute_value_checked);

TODO: Write me

`check_button` : |
`doc` : |
`node` : |
`ns_ptr` : |
`attribute_name` : |
`attribute_value_unchecked` : |
`attribute_value_checked` : |